## ros-dashing-robot-state-publisher 2.2.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(robot_state_publisher)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

find_package(ament_cmake REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(orocos_kdl REQUIRED)
find_package(urdf REQUIRED)
find_package(urdfdom_headers REQUIRED)
find_package(kdl_parser REQUIRED)
find_package(tf2_ros REQUIRED)

include_directories(
  include
  ${geometry_msgs_INCLUDE_DIRS}
  ${kdl_parser_INCLUDE_DIRS}
  ${orocos_kdl_INCLUDE_DIRS}
  ${urdf_INCLUDE_DIRS}
  ${urdfdom_headers_INCLUDE_DIRS}
  ${rclcpp_INCLUDE_DIRS}
  ${sensor_msgs_INCLUDE_DIRS}
  ${tf2_ros_INCLUDE_DIRS})

add_library(
  ${PROJECT_NAME}_solver
  src/robot_state_publisher.cpp)
link_directories(${orocos_kdl_LIBRARY_DIRS})
target_link_libraries(
  ${PROJECT_NAME}_solver
  ${geometry_msgs_LIBRARIES}
  ${kdl_parser_LIBRARIES}
  ${orocos_kdl_LIBRARIES}
  ${rclcpp_LIBRARIES}
  ${sensor_msgs_LIBRARIES}
  ${tf2_ros_LIBRARIES}
  ${urdf_LIBRARIES}
  ${urdfdom_LIBRARIES})

add_library(
  joint_state_listener
  src/joint_state_listener.cpp)
target_link_libraries(
  joint_state_listener
  ${PROJECT_NAME}_solver
  ${orocos_kdl_LIBRARIES})

add_executable(
  ${PROJECT_NAME}
  src/joint_state_listener.cpp)
target_link_libraries(
  ${PROJECT_NAME}
  joint_state_listener
  ${orocos_kdl_LIBRARIES}
  ${kdl_parser_LIBRARIES}
  ${urdf_LIBRARIES}
  ${rclcpp_LIBRARIES}
  ${tf2_ros_LIBRARIES}
  ${sensor_msgs_LIBRARIES})

install(
  TARGETS
  ${PROJECT_NAME}_solver
  joint_state_listener
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(
  TARGETS ${PROJECT_NAME}
  DESTINATION lib/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_cmake_cppcheck REQUIRED)
  find_package(ament_cmake_cpplint REQUIRED)
  find_package(ament_cmake_lint_cmake REQUIRED)
  find_package(ament_cmake_uncrustify REQUIRED)
  # This forces cppcheck to consider all files in this project to be C++,
  # including the headers which end with .h, which cppcheck would normally
  # consider to be C instead.
  ament_cppcheck(LANGUAGE "c++")
  ament_cpplint()
  ament_lint_cmake()
  ament_uncrustify()
endif()

ament_export_libraries(
  ${PROJECT_NAME}_solver
  joint_state_listener)
ament_package()

=== debian/changelog ===
ros-dashing-robot-state-publisher (2.2.5-1bionic) bionic; urgency=high

  * Publish description right away (#124 <https://github.com/ros/robot_state_publisher/issues/124>)
  * Contributors: Shane Loretz

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 04 Dec 2019 08:00:00 -0000

ros-dashing-robot-state-publisher (2.2.4-1bionic) bionic; urgency=high

  * Remove unused Eigen3 dependency (#27 <https://github.com/ros2/robot_state_publisher/issues/27>) (#29 <https://github.com/ros2/robot_state_publisher/issues/29>)
  * Don't export exe as library (#25 <https://github.com/ros2/robot_state_publisher/issues/25>) (#28 <https://github.com/ros2/robot_state_publisher/issues/28>)
  * Contributors: Shane Loretz

 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 06 Sep 2019 07:00:00 -0000

ros-dashing-robot-state-publisher (2.2.3-1bionic) bionic; urgency=high

  * Use rclcpp::Time for stamping transforms (#20 <https://github.com/ros2/robot_state_publisher/issues/20>)
  * Contributors: Scott K Logan

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 12 Jun 2019 07:00:00 -0000

ros-dashing-robot-state-publisher (2.2.2-1bionic) bionic; urgency=high

  * changes to avoid deprecated API's (#19 <https://github.com/ros2/robot_state_publisher/issues/19>)
  * Contributors: William Woodall

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 08 May 2019 07:00:00 -0000

ros-dashing-robot-state-publisher (2.2.1-1bionic) bionic; urgency=high

  * Updated to avoid deprecated API. (#18 <https://github.com/ros2/robot_state_publisher/issues/18>)
  * Contributors: William Woodall

 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 26 Apr 2019 07:00:00 -0000

ros-dashing-robot-state-publisher (2.2.0-1bionic) bionic; urgency=high

  * Set urdf content as parameter. (#15 <https://github.com/ros2/robot_state_publisher/issues/15>)
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@osrfoundation.org>  Sun, 14 Apr 2019 07:00:00 -0000

ros-dashing-robot-state-publisher (2.1.0-1bionic) bionic; urgency=high

  * The robot model is now published on the ``robot_description`` topic as a ``std_msgs/String.msg``. (#9 <https://github.com/ros2/robot_state_publisher/issues/9>)
  * Contributors: Brett, Mikael Arguedas

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-dashing-robot-state-publisher (1.13.4-1bionic) bionic; urgency=high

  * Use ``urdf::*ShredPtr`` instead of ``boost::shared_ptr`` (#60 <https://github.com/ros/robot_state_publisher/issues/60>)
  * Error log for empty JointState.position was downgraded to a throttled warning (#64 <https://github.com/ros/robot_state_publisher/issues/64>)
  * Contributors: Jochen Sprickerhof, Sébastien BARTHÉLÉMY

 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 05 Jan 2017 08:00:00 -0000

ros-dashing-robot-state-publisher (1.13.3-1bionic) bionic; urgency=high

  * Added a new parameter "ignore_timestamp" (#65 <https://github.com/ros/robot_state_publisher/issues/65>)
  * Fixed joints are not published over tf_static by default (#56 <https://github.com/ros/robot_state_publisher/issues/56>)
  * Fixed segfault on undefined robot_description (#61 <https://github.com/ros/robot_state_publisher/issues/61>)
  * Fixed cmake eigen3 warning (#62 <https://github.com/ros/robot_state_publisher/issues/62>)
  * Contributors: Davide Faconti, Ioan A Sucan, Johannes Meyer, Robert Haschke

 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 20 Oct 2016 07:00:00 -0000

ros-dashing-robot-state-publisher (1.13.2-1bionic) bionic; urgency=high

  * Add target_link_libraries for joint_state_listener library + install it (#54 <https://github.com/ros/robot_state_publisher//issues/54>)
  * Contributors: Kartik Mohta

 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 10 Jun 2016 07:00:00 -0000

ros-dashing-robot-state-publisher (1.13.1-1bionic) bionic; urgency=high

  * Add back future dating for robot_state_publisher (#49 <https://github.com/ros/robot_state_publisher/issues/49>) (#51 <https://github.com/ros/robot_state_publisher/issues/51>)
  * Fix subclassing test (#48 <https://github.com/ros/robot_state_publisher/issues/48>)
  * Support for subclassing (#45 <https://github.com/ros/robot_state_publisher/issues/45>)
    * Add joint_state_listener as a library
  * Contributors: Jackie Kay

 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 20 May 2016 07:00:00 -0000

ros-dashing-robot-state-publisher (1.13.0-1bionic) bionic; urgency=high

  * fix bad rebase
  * Contributors: Jackie Kay, Paul Bovbel

 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 12 Apr 2016 07:00:00 -0000

ros-dashing-robot-state-publisher (1.12.1-1bionic) bionic; urgency=high

  * Merge pull request #42 <https://github.com/ros/robot_state_publisher/issues/42> from ros/fix_tests_jade
    Fix tests for Jade
  * Correct failing tests
  * Re-enabling rostests
  * Merge pull request #39 <https://github.com/ros/robot_state_publisher/issues/39> from scpeters/issue_38
  * Fix API break in publishFixedTransforms
    A bool argument was added to
    RobotStatePublisher::publishFixedTransforms
    which broke API.
    I've added a default value of false, to match
    the default specified in the JointStateListener
    constructor.
  * Contributors: Jackie Kay, Jonathan Bohren, Steven Peters

 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 22 Feb 2016 08:00:00 -0000

ros-dashing-robot-state-publisher (1.12.0-1bionic) bionic; urgency=high

  * Merge pull request #37 <https://github.com/ros/robot_state_publisher/issues/37> from clearpathrobotics/static-default
    Publish fixed joints over tf_static by default
  * Merge pull request #34 <https://github.com/ros/robot_state_publisher/issues/34> from ros/tf2-static-jade
    Port to tf2 and enable using static broadcaster
  * Merge pull request #32 <https://github.com/ros/robot_state_publisher/issues/32> from shadow-robot/fix_issue#19 <https://github.com/shadow-robot/fix_issue/issues/19>


=== debian/control ===
Source: ros-dashing-robot-state-publisher
Section: misc
Priority: optional
Maintainer: Karsten Knese <karsten@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-geometry-msgs, ros-dashing-kdl-parser, ros-dashing-orocos-kdl, ros-dashing-rclcpp, ros-dashing-sensor-msgs, ros-dashing-tf2-ros, ros-dashing-urdf, ros-dashing-urdfdom-headers, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-robot-state-publisher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-geometry-msgs, ros-dashing-kdl-parser, ros-dashing-orocos-kdl, ros-dashing-rclcpp, ros-dashing-sensor-msgs, ros-dashing-tf2-ros, ros-dashing-urdf, ros-dashing-urdfdom-headers, ros-dashing-ros-workspace
Description: ROS2 version of the robot_state_publisher package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-robot-state-publisher//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
